=== debian/changelog ===
pokrok (0.2.0-5) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Adapt versioneer.py to Python3.12
    Closes: #1058108
  * Proper capitalisation in description
  * DEP3
  * Check DEB_BUILD_OPTIONS in d/rules
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 09:19:21 +0100

pokrok (0.2.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:09:58 +0100

pokrok (0.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:19:28 +0100

pokrok (0.2.0-2) unstable; urgency=medium

  * Team Upload.
  * Add Depends on python3-pkg-resources
    (Closes: #983762)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Mar 2021 21:47:25 +0530

pokrok (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #981117)

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Jan 2021 17:40:20 +0100
