=== debian/control ===
Source: pokrok
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               python3-all,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/jdidion/pokrok
Vcs-Browser: https://salsa.debian.org/python-team/packages/pokrok
Vcs-Git: https://salsa.debian.org/python-team/packages/pokrok.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pokrok
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Description: meta-api for progress bars
 Pokrok provides a simple API for displaying progress bars and
 spinners. The actual work is done by any one of many available
 progress bar packages in Python3. For each package, a sensible default
 display is provided. In addition, high-level configuration options are
 provided for limited customization of the bar/spinner display without
 having to know the details of the underlying progress bar/spinner
 implementation. Finally, access to the fine-grained configuration of
 the underlying package is provided for those that want it.
